@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Kanit', sans-serif;
}

html {
    scroll-behavior: smooth;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
    
}



/* Header Top : max-width: 1024px */

.header-top {
    display: none;
    z-index: 99;

}

/* Header Top : max-width: 1024px */

.header {
    position: fixed;
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 90px;
    width: 100%;
    background-color: rgb(255, 255, 255);
    z-index: 99;
    transition: .5s;
}

.header img {
    height: 65px;
    margin-top: 5px;
}

.header ul {
    position: relative;
    display: flex;
}

.header ul li {
    width: 100px;
    margin: 0 5px;
}

.header ul li a {
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
    width: 100%;
    color: rgb(103, 103, 103);
}

.header ul li a.header-active {
    border-radius: 20px;
    background-color: rgba(30,2,83,1);
    
    color: #ffffff;
}

/* .header ul li a.header-active::before {
    position: absolute;
    margin-top: 5px;
    bottom: 0;
    content: "";
    height: 3px;
    width: 100%;
    border-radius: 20px;
    background-color: #ff00ea;
} */

@media screen and (max-width: 1024px) {
    .header ul li a ion-icon {
        font-size: 1.3em;
    }

    .header ul li a.header-active {
        border-radius: 0px;
        background-color: #ffffff;
        color: rgba(30,2,83,1);
    }

    .header ul li a.header-active::before {
        position: absolute;
        margin-top: 5px;
        bottom: -12px;
        content: "";
        height: 4px;
        width: 60px;
        border-radius: 20px;
        background-color: rgba(30,2,83,1);
    }
}


.header ul li a span {
    margin: 0 5px;
    font-size: 1em;
    font-weight: 400;
}

.header ul li a span.icons {
    margin-top: 4px;
}

@media screen and (max-width: 1024px) {

    /* Header Top : max-width: 1024px */

    .header-top {
        position: fixed;
        display: flex;
        justify-content: center;
        align-items: center;
        height: 80px;
        width: 100%;
        background-color: rgb(255, 255, 255);
        transition: .5s;

    }

    .header-top img {
        height: 70px;
        margin-top: 5px;
    }
    
    /* Header Top : max-width: 1024px */

    .header {
        height: 80px;
        justify-content: center;
        bottom: 0;
    }
    
    .header img {
        display: none;
    }
    
    .header ul li {
        width: 80px;
        margin: 0 5px;
    }
    
    .header ul li a {
        display: flex;
        flex-direction: column;
    }
    
    .header ul li a span {
        margin: 0;
        font-size: 1em;
        font-weight: 400;
    }
}

@media screen and (max-width: 555px) {
    /* Header Top : max-width: 1024px */

    .header-top {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 70px;
    }

    .header-top img {
        height: 61px;
        margin-top: 5px;
    }
    
    /* Header Top : max-width: 1024px */


    .header {
        height: 70px;
        justify-content: center;
    }
    
    .header img {
        display: none;
    }
    
    .header ul {
        width: 100%;
    }
    
    .header ul li {
        width: 100%;
        margin: 0;
    }
    

    .header ul li a span {
        margin: 0;
        font-size: 0.85em;
        font-weight: 400;
    }

}





main {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    /* height: 100vh; */
    width: 100%;
    padding-top: 90px;
    background-color: #010f37;
    /* background-image: linear-gradient(43deg, #4158D0 0%, #C850C0 46%, #FFCC70 100%); */
    /* background-image: linear-gradient(62deg, #8EC5FC 0%, #E0C3FC 100%); */
    /* background-image: linear-gradient( 126.3deg, rgba(30,2,83,1) 32.2%, rgba(198,55,160,0.46) 109.2% ); */

}

main img {
    height: 400px;
    padding: 30px;
    animation: animate 5s linear infinite;
}

@keyframes animate {
    0%,100% {
        transform: translateY(-5px);
    }
    50% {
        transform: translateY(5px);
    }
}


main .main-content h1  {
    font-size: 3em;
    animation: main-content-h1 .6s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@keyframes main-content-h1 {
    0% {
      transform: translateX(-100px);
      opacity: 0;
    }
    100% {
      transform: translateX(0px);
      opacity: 1;

    }
  }
  
main .main-content h2  {
    font-size: 2.4em;
    animation: main-content-h2 .6s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@keyframes main-content-h2 {
    100% {
      transform: translateX(0px);
      opacity: 1;
    }
    0% {
      transform: translateX(100px);
      opacity: 0;
    }
  }
  

main .main-content h1, main .main-content h2  {
    font-weight: 300;
    color: rgb(255, 255, 255);
}

main .main-content .detail {
    display: flex;
    align-items: center;
    margin-top: 30px;
    height: 50px;

}

main .main-content .detail a {
    padding: 10px;
    border-radius: 10px;
    background-color: rgb(255, 255, 255);
    color: #010f37;
    animation: detail-a 1.1s both;
}

@keyframes detail-a {
    0% {
      transform: scale(0);
      animation-timing-function: ease-in;
      opacity: 0;
    }
    38% {
      transform: scale(1);
      animation-timing-function: ease-out;
      opacity: 1;
    }
    55% {
      transform: scale(0.7);
      animation-timing-function: ease-in;
    }
    72% {
      transform: scale(1);
      animation-timing-function: ease-out;
    }
    81% {
      transform: scale(0.84);
      animation-timing-function: ease-in;
    }
    89% {
      transform: scale(1);
      animation-timing-function: ease-out;
    }
    95% {
      transform: scale(0.95);
      animation-timing-function: ease-in;
    }
    100% {
      transform: scale(1);
      animation-timing-function: ease-out;
    }
  }


@media screen and (max-width: 1024px) {
    main {
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;

        padding: 160px 0 80px 0 ;
    }
    
    main img {
        height: 350px;
        padding: 20px 0px 20px 20px;
    }

    main .main-content .detail {
        margin-top: 15px;
    }
}

@media screen and (max-width: 555px) {
    main {
        /* height: 100vh; */
        width: 100%;
        padding-top: 70px;
        padding-bottom: 20px;
        text-align: center;
    }
    
    main img {
        height: 250px;
        padding: 20px 0px 20px 20px;
    }
    
    main .main-content h1  {
        font-size: 1.6em;
    }
    
    main .main-content h2  {
        font-size: 1.4em;
    }

    main .main-content .detail {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 10px;
    }
    
    main .main-content .detail a {
        padding: 5px;
        font-size: 0.85em;
        border-radius: 5px;
        background-color: rgb(255, 255, 255);
        color: #4158d0;
    }


}

@media screen and (max-height: 375px) {
    main {
        height: 100vh;
        padding: 0px;
    }
    
}



/* aside */

aside {
    display: flex;
    align-items: center;
    flex-direction: column;
    overflow: hidden;
    width: 100%;
    padding: 45px;
    /* background-image: linear-gradient(to top, #6b55ca, #7f6ad3, #927fdc, #a494e5, #b7aaed, #c3b8f1, #d0c7f6, #dcd5fa, #e5dffb, #edeafd, #f6f4fe, #ffffff); */
    /* background-image: linear-gradient(to bottom, #ffffff, #d9d3f4, #b5a8e8, #917ed9, #6b55ca); */
    /* background: linear-gradient(0deg, #c8c3fc  70%, rgba(226,173,242,0) 100%); */
    
}

aside h1 {
    text-align: center;
    width: 100%;
    max-width: 1024px;
    font-size: 1.8em;
    font-weight: 350;
    margin-bottom: 40px;
    border-radius: 10px;
    color: #010f37;
    /* color: #ffffff; */
}

aside .aside-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
    gap: 20px;
    min-width: 1024px;
    margin-bottom: 40px;
    padding: 10px;
}

aside .aside-container a {
    display: flex;
    border-radius: 10px;
    /* border-top: 1px solid rgba(255, 255, 255,0.2);
    border-left: 1px solid rgba(255, 255, 255,0.2); */
    box-shadow: 5px 8px 10px 6px rgba(0, 0, 0, 0.1);
    background-color: rgb(255, 255, 255);
    border: 1.5px solid #ececec;
    /* background-image: linear-gradient(43deg, #4158D0 0%, #FFCC70 100%); */
    
}

aside .aside-container a .aside-info {
    max-width: 321.016px;
    width: 100%;
    font-weight: 300;
    padding: 10px 10px 10px 0;
    color: #280137;

}

aside .aside-container a .aside-info h2  {
    font-size: 1.5em;
    font-weight: 400;
    margin-bottom: 5px;
}

aside .aside-container a .aside-info span  {
    color: #ffffff;
    font-weight: 400;
    background: rgb(0, 89, 255);
    border-radius:5px;
    padding: 0 5px;
}

aside .aside-container a .aside-img {
    display: flex;
    justify-content: center;
    align-items: center;
}

aside .aside-container a .aside-img img {
    height: 120px;
    max-width: 149.984px;
    width: 100%;
    padding: 10px;
    border-radius: 15px;
    object-fit: cover;
}

aside .more {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #010f37;

}
aside .more .moreanimate {
    animation: moreanimate 1.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) infinite alternate both;
}

@keyframes moreanimate {
    0% {
      transform: translateY(0px);
      opacity: 0;
    }
    100% {
      transform: translateY(5px);
      opacity: 1;
    }
  }
  

/* fix */

@media screen and (max-width: 1134px) {
    aside .aside-container {
        min-width: 980px;
    }
}

@media screen and (max-width: 1024px) {
    aside {
        padding: 35px 25px;
    }

    aside .aside-container {
        grid-template-columns: 1fr;
    }

    aside .aside-container {
        min-width: 100%;
        gap: 15px;
    }
    

    aside .aside-container a .aside-info h2  {
        font-size: 1.1em;
        font-weight: 400;
    }

    aside .aside-container a .aside-info span  {
        font-size: 0.85em;
        font-weight: 300;
    }

}

@media screen and (max-width: 555px) {
    
    aside {
        padding: 15px 10px;
    }

    aside h1 {
        font-size: 1.4em;
        font-weight: 350;
        margin-bottom: 20px;
    }

    aside .aside-container a .aside-img img {
        height: 100px;
        padding: 10px;
    }

    aside .aside-container a .aside-info h2  {
        font-size: 1em;
        font-weight: 400;
    }

    aside .aside-container a .aside-info span  {
        font-size: 0.85em;
        font-weight: 300;
    }
}

/* info */
.infoindex {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.infoindex h2 {
    font-size: 1.8em;
    font-weight: 400;
    color: #280137;
    margin: 20px;
}
.infoindex p {
    font-size: 1.1em;
}

.infoindex .pantagit {
    text-align: left;
}

@media screen and (max-width: 1024px) {
    .infoindex h2 {
        font-size: 1.5em;
    }

    .info-content {
        padding: 0 25px;
    }

}
@media screen and (max-width: 633px) {
    .infoindex h2 {
        font-size: 1.4em;
    }
    .infoindex p {
        font-size: 1em;
    }

}
@media screen and (max-width: 555px) {
    .info-content {
        padding: 0 10px;
    }

}

/* info */


/* slides */

.slides {
    display: flex;
    justify-content: center;
    align-items: center;
}


.slides-show {
    position: relative;
    width: 100%;
    max-width: 1024px;
    height: clamp(180px , 50vw , 600px);
    /* margin: 50px 25px 0 25px; */
    margin: 25px;
    overflow: hidden;
    border-radius: 10px;
    cursor: pointer;
    box-shadow: 5px 5px 14px 2px rgba(0, 0, 0, 0.1);
}

.slides-show .image-slides {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: 0.3s;
}

.slides-show .image-slides.slides-active {
    opacity: 1;
}

.slides-show .image-slides img {
    position: absolute;
    width: 100%;
    height: 100%;
    cursor: pointer;
    border-radius: 10px;

}


.control-slide {
    position: relative;
    display: flex;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    /* opacity: 0;
    transition: .5s; */
}

/* .control-slide:hover {
    opacity: 1;
} */

.prev, .next {
    z-index: 98;
    font-size: 2em;
    color: #ffffff;
    padding: 10px;
    cursor: pointer;
}

.prev {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}

.next {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
}

.control-slide-dot {
    z-index: 98;
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: -5.5px;
    left: 0;
    right: 0;
}

.control-slide-dot .slide-dot {
    z-index: 98;
    
    width: 40px;
    height: 7px;
    transform: translateY(-20px);
    margin:  0 6px;
    border-radius: 2px;
    border-radius: 25px;
    border: 2px solid #ffffff;
    box-shadow: 0 5px 25px rgba(1 ,1, 1 ,0.2);
}

.control-slide-dot .slide-dot.dot-active {
    background: #ffffff;
}

@media screen and (max-width: 1024px) {
    .control-slide-dot .slide-dot {
        transform: translateY(-16px);
    }
}

@media screen and (max-width: 850px) {
    .prev, .next {
        font-size: 1.8em;

    }
    .control-slide-dot .slide-dot {
        width: 40px;
        height: 7px;
        transform: translateY(-15px);

    }
}

@media screen and (max-width: 735px) {
    .prev, .next {
        font-size: 1.8em;

    }
    .control-slide-dot .slide-dot {
        width: 40px;
        height: 7px;
        transform: translateY(-12px);

    }
}

@media screen and (max-width: 600px) {
    .slides-show {
        margin: 30px 25px 0;
    }

    .prev, .next {
        font-size: 1.5em;
    }
    .control-slide-dot .slide-dot {
        border: 0px solid #ffffff;
        background: #ffffff;
        width: 30px;
        height: 4px;
    }
}

@media screen and (max-width: 555px) {
    .slides-show {
        /* margin: 15px 10px 0 10px; */
        margin: 15px 10px;
    }
    .prev, .next {
        font-size: 1.5em;

    }
    .control-slide-dot .slide-dot {
        width: 20px;
        height: 3px;
        transform: translateY(-12px);
    }
}

@media screen and (max-width: 382px) {
    .control-slide-dot .slide-dot {
        width: 20px;
        height: 4px;
        transform: translateY(-10px);
    }
}

@media screen and (max-width: 361px) {
    .slides-show .image-slides img {
        object-fit: cover;
    }
    .prev {
        position: absolute;
        top: 50%;
        left: -6px;
        transform: translateY(-50%);
    }
    
    .next {
        position: absolute;
        top: 50%;
        right: -6px;
        transform: translateY(-50%);
    }
}


.justufy-person {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.justufy-person h2 {
    text-align: center;
    font-weight: 400;
    color: #010f37;
    padding: 20px 0;
}

.personcontainer {
    max-width: 970px;
    display: flex;
    padding: 10px;
}

.personcontainer .card {
    flex: 1;
    /* height: 400px; */
    width: 294.78;
    padding: 15px;
    margin: 0 10px;
    /* background-image: linear-gradient( 126.3deg, rgba(30,2,83,1) 32.2%, rgba(198,55,160,0.46) 109.2% ); */
    /* background-image: linear-gradient(62deg, #8EC5FC 0%, #E0C3FC 100%); */
    background: #010f37;
    border-radius: 10px;
    
}

.personcontainer .card .card-img {
    height: 320px;
    border-radius: 10px;
}

.personcontainer .card .card-info {
    margin-top: 10px;
    color: #ffffff;
    
}
.personcontainer .card .card-info h2 {
    padding: 0;
    color: #609dff;
}

.personcontainer .card img {
    height: 100%;
    border-radius: 10px;
    border: 2px solid #ffffff;
}



.owl-dots {
    text-align: center;
    margin-top: 30px;
}

.owl-dot {
    height: 20px;
    width: 15px;
    border-radius: 25px;
    cursor:  pointer;
    outline: none;
    margin: 0 5px;
    border: 2px solid #280137!important;
    transition: all 0.3s ease;
}
.owl-dot:hover,
.owl-dot.active {
    background: #280137!important;
}

@media screen and (max-width: 1024px) {
    .personcontainer .card .card-img {
        height: 300px;
        width: 247.27px;
        border-radius: 10px;
    }

    .personcontainer {
        max-width: 615px;
    }

    .owl-dot {
        height: 17px;
        width: 10px;
    }
}

@media screen and (max-width: 633px) {
    .personcontainer .card .card-img {
        width: 237.02px;
    }
    .justufy-person h2 {
        font-size: 1.4em;
        padding: 10px;
        margin-top: 10px;
    }
    .personcontainer {
        max-width: 310px;
    }

    .owl-dot {
        height: 15px;
        width: 10px;
    }
}

@media screen and (max-width: 345px) {
    .personcontainer .card .card-img {
        width: 207.02px;
    }

    .personcontainer .card .card-img {
        height: 250px;
        border-radius: 10px;
    }

    .personcontainer {
        max-width: 285px;
    }
}

.slideanimate {
    position: absolute;
    left: 50%;
    transform: translate(-60%);
    bottom: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px;
}
.slideanimate p {
    margin: 10px;
}

.arrowleft {
    animation: arrowleft-left 1.1s cubic-bezier(0.250, 0.460, 0.450, 0.940) 2s infinite alternate ;
}

.arrowright {
    animation: arrowright-right 1.1s cubic-bezier(0.250, 0.460, 0.450, 0.940) 2s infinite alternate ;
}

@keyframes arrowleft-left {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-20px);
    }
  }

@keyframes arrowright-right {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(20px);
    }
  }






.map-info h2 {
    text-align: center;
    font-weight: 400;
    color: #280137;
    padding: 20px 0 0;
}

.map {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;

}

.map iframe {
    max-width: 929px;
    width: 100%;
    height: 600px;
    border-radius: 20px;
    box-shadow:  0px 0px 0px 2px rgba(0, 0, 0, 1);
}

.mapin {
    display: flex;
    justify-content: center;
    align-items: center;
}

@media screen and (min-width: 1024px) {
    .map iframe {
        border-radius: 20px;
        height: 400px;
    }
}

@media screen and (max-width: 1024px) {
    .map  {
        margin-bottom: 80px;
    }
    .map iframe {
        border-radius: 20px;
        height: 300px;
    }
}
@media screen and (max-width: 555px) {
    .map  {
        margin-bottom: 70px;
        padding: 10px;

    }
    .map iframe {
        border-radius: 10px;
        height: 250px;
    }
    .mapin {
        margin: 0 15px;
    }
}
@media screen and (max-width: 385px) {
    .map iframe {
        height: 200px;
        width: 100%;
    }
}

.more-activity {
    margin-top: 20px;
}
.more-activity p {
    color: #280137;
}

